cascading.util

## Class NullSafeReverseComparator

- java.lang.Object
- - cascading.util.NullSafeReverseComparator

- All Implemented Interfaces:
    Serializable, Comparator<Comparable<Object>>

      public class NullSafeReverseComparator
      extends Object
      implements Comparator<Comparable<Object>>, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullSafeReverseComparator()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(Comparable<Object> lhs, Comparable<Object> rhs)`
    `static <T> Comparator<T>` | `reverseOrder(Comparator<T> comparator)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### NullSafeReverseComparator

          public NullSafeReverseComparator()

  - ### Method Detail

    - #### reverseOrder

          public static <T> Comparator<T> reverseOrder(Comparator<T> comparator)

    - #### compare

          public int compare(Comparable<Object> lhs,
                             Comparable<Object> rhs)

      Specified by:
        `compare` in interface `Comparator<Comparable<Object>>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.